# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=4

JAVA_PKG_IUSE="source doc"

inherit java-pkg-2 java-ant-2

DESCRIPTION="JPedal JBIG2 Image Decoder"
HOMEPAGE="http://idrsolutions.fogbugzhosting.com/default.asp?W80"
SRC_URI="http://www.jpedal.org/download/jbig2_src.zip -> jbig2_src-${PV}.zip"

LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

RDEPEND=">=virtual/jre-1.6"
DEPEND=">=virtual/jdk-1.6
	app-arch/unzip"

S="${WORKDIR}"

java_prepare() {
	cp "${FILESDIR}"/build.* "${S}" || die
}

src_install() {
	java-pkg_dojar build/jbig2/dist/jbig2.jar

	use source && java-pkg_dosrc src/*

	use doc && java-pkg_dojavadoc build/jbig2/javadoc
}
