# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

inherit eutils

DESCRIPTION="A collection of undervolt scripts"
HOMEPAGE="http://www.linux-phc.org/forum/viewtopic.php?f=19&t=44 http://www.s3pp.de/misc/linux-phc-optimize.bash"
# SRC_URI="mirror://sourceforge/${PN}/${PF}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

DEPEND=""
RDEPEND="app-benchmarks/cpuburn"

src_compile() { :; }

src_install() {
	newinitd ${FILESDIR}/undervolt.initd undervolt
	newconfd ${FILESDIR}/undervolt.confd undervolt
	insinto /usr/share/undervolt
	doins ${FILESDIR}/functions.bash
	newbin ${FILESDIR}/linux-phc-optimize.bash undervolt-optimize
}
