# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

DESCRIPTION="A Perl script to synchronize a local directory tree and a remote FTP directory tree."
HOMEPAGE="http://ftpsync.sourceforge.net/"
SRC_URI="http://download.clazzes.org/ftpsync/${P}-0.tar.bz2"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
IUSE=""

RDEPEND="dev-lang/perl
	dev-perl/libwww-perl"

S="${WORKDIR}/${P}-0"

src_install() {
	dodoc changelog  Changes_1.00-1.3.04.txt License.txt ReadMe.txt ToDo.txt
	newbin ftpsync.pl ftpsync
}
