# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-apps/trac-webadmin/trac-webadmin-0.1.2.ebuild,v 1.4 2007/02/13 20:39:33 corsair Exp $

EAPI="2"
PYTHON_DEPEND="2"
SUPPORT_PYTHON_ABIS="1"
RESTRICT_PYTHON_ABIS="3.*"

inherit distutils subversion

ESVN_REPO_URI="http://trac-hacks.org/svn/recaptcharegisterplugin/0.11"
DESCRIPTION="This hack adds a reCAPTCHA that the user must pass before registering."
HOMEPAGE="http://trac-hacks.org/wiki/RecaptchaRegisterPlugin"

LICENSE="trac"
KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
IUSE=""

SLOT="0"

DEPEND="dev-python/setuptools"
RDEPEND=">=www-apps/trac-0.12
	www-apps/trac-accountmanagerplugin
	dev-python/recaptcha-client"

pkg_postinst() {
	distutils_pkg_postinst
	elog "To enable the SimpleCaptcha plugin in your Trac environments, you have to add:"
	elog "[components]"
	elog "recaptcharegister.* = enabled"
	elog
	elog "	[recaptcha]"
	elog "	public_key ="
	elog "	private_key ="
	elog "to your trac.ini files."
	elog
	elog "To be able to see the Admin tab, your users must have the TRAC_ADMIN permission"
	elog "and/or the TICKET_ADMIN permission."
}
